Subject: Re: [PWE3] draft-boutros-pwe3-mpls-tp-ms-pw-00

From: [email-masked]
Date: Fri, 26 Nov 2010 11:03:31 +0800

Hi Sami
A couple of questions around this draft.
1. section 3.1.1.1, If PW2 is a dynamic segment and does not support PW 
status, S-PE needs to withdraw its labels from T-PE2 before locking the 
MPLS LSP.
[Lizhong] S-PE should also withdraw its labels from T-PE1 if PW1 is 
dynamic segment and does not support PW status, since it is locking LSP, 
not PW, right?

2. section 3.1.1.2, It then sends LI request message to T-PE1.
[Lizhong] "It" refers to "S-PE1", right? 

3. section 3.2.1, T-PE1 sends an LB request message which is received by 
S-PE. S-PE can setup the MPLS-TP LSP only if all the PWs carried over that 
LSP can be setup in loopback mode.
If the MPLS-TP LSP is successfully setup in loopback mode, all incoming 
packets over PW1 will be looped back to T-PE1.
[Lizhong] Does that mean the LB packets need to be running over PW, and 
encapsulated with PW packets? But usually the PW will not shair same fate 
with LSP. If we want to only do loopback for LSP, it seems that only 
bidirectional LSP without PHP can do such LB function.

Thanks
Lizhong

> ------------------------------
> 
> Message: 5
> Date: Tue, 23 Nov 2010 02:30:19 -0800
> From: Sami Boutros <[email-masked]>
> Subject: [PWE3] draft-boutros-pwe3-mpls-tp-ms-pw-00
> To: <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>,   "Siva Sivabalan
>    \(msiva\)" <[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="us-ascii"; format=flowed
> 
> Hi PWE3 working group,
> 
> We have presented "PW Stitching Procedures in MPLS-TP Networks" at 
> IETF78 and 79
> http://tools.ietf.org/html/draft-boutros-pwe3-mpls-tp-ms-pw-00
> 
> This informational draft extends the PW stitching procedures defined 
> in "draft-ietf-pwe3-segmented-pw-18.txt".
> It describes the PW status exchange when connecting 2 PW segments 
> with one or both of them are static running inband PW OAM messages 
> specified in "draft-ietf-pwe3-static-pw-status-00.txt".
> It describes what PW status value to use when (1) one PW segment is 
> being locked using (LI) or put in Loopback (LB) or (2) when the 
> MPLS-TP LSP carrying the PW segment is being locked or put in LoopBack.
> Lock Instruct (LI) and Loopback (LB) OAM functions for MPLS-TP 
> networks specified in"draft-ietf-mpls-tp-li-lb-00.txt".
> 
> The authors are seeking more feedback from the mailing list, and 
> would be grateful if you could review the document and post comments 
> on the mailing list.
> 
> Thanks,
> 
> Sami
> 
> 

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.

---

From: Sami Boutros <[email-masked]>
Date: Fri, 26 Nov 2010 10:35:12 -0800

Hi Lizhong,

Thanks for your comments, please see responses inline.
At 07:03 PM 11/25/2010, [email-masked] wrote:

>1. section 3.1.1.1, If PW2 is a dynamic segment and does not support 
>PW status, S-PE needs to withdraw its labels from T-PE2 before 
>locking the MPLS LSP.
>dynamic segment and does not support PW status, since it is locking 
>LSP, not PW, right?

Correct, we will clarify that in the text.

>[Lizhong] "It" refers to "S-PE1", right?

Right, we will fix this, change S-PE to S-PE1

>3. section 3.2.1, T-PE1 sends an LB request message which is 
>received by S-PE. S-PE can setup the MPLS-TP LSP only if all the PWs 
>carried over that LSP can be setup in loopback mode.
>
>If the MPLS-TP LSP is successfully setup in loopback mode, all 
>incoming packets over PW1 will be looped back to T-PE1.
>[Lizhong] Does that mean the LB packets need to be running over PW, 
>and encapsulated with PW packets? But usually the PW will not shair 
>same fate with LSP.

We are discussing the case when the PW is pinned down to the LSP that 
is being put in loopback, in that case the PW will share the fate of 
the LSP and hence packets sent over the PW will be looped back since 
the LSP will be put in loopback.

>If we want to only do loopback for LSP, it seems that only 

Correct, the LSP has to be bidirectional for the LB function to work.

Thanks,

Sami

>ZTE Information Security Notice: The information contained in this 
>mail is solely property of the sender's organization. This mail 
>communication is confidential. Recipients named above are obligated 
>to maintain secrecy and are not permitted to disclose the contents 
>of this communication to others.
>This email and any files transmitted with it are confidential and 
>intended solely for the use of the individual or entity to whom they 
>are addressed. If you have received this email in error please 
>notify the originator of the message. Any views expressed in this 
>message are those of the individual sender.

---

From: [email-masked]
Date: Sun, 28 Nov 2010 11:15:07 +0800

Hi Sami,
I may miss something, sorry for that. Would you please explain more about 
the PW pinned down to the LSP? Is this a dedicated PW for LB with same BW 
and TOS as LSP, or a normal service PW?

Thanks
Lizhong

> We are discussing the case when the PW is pinned down to the LSP 
> that is being put in loopback, in that case the PW will share the 
> fate of the LSP and hence packets sent over the PW will be looped 
> back since the LSP will be put in loopback.

> ZTE Information Security Notice: The information contained in this mail
> is solely property of the sender's organization. This mail communication
> is confidential. Recipients named above are obligated to maintain 
secrecy
> and are not permitted to disclose the contents of this communication to
> others.
> intended solely for the use of the individual or entity to whom they are
> addressed. If you have received this email in error please notify the
> originator of the message. Any views expressed in this message are those
> of the individual sender.

---

From: Sami Boutros <[email-masked]>
Date: Sun, 28 Nov 2010 15:42:17 -0800

Hi Lizhong,

At 07:15 PM 11/27/2010, [email-masked] wrote:

>Hi Sami,
>I may miss something, sorry for that. Would you please explain more 
>about the PW pinned down to the LSP? Is this a dedicated PW for LB 
>with same BW and TOS as LSP, or a normal service PW?

This is a service PW that is using the TP tunnel as the transport, 
now the the transport TP tunnel has one LSP that's being put in LB 
and this would impact the PW that is carried by the TP tunnel.

Thanks,

Sami

> > is confidential. Recipients named above are obligated to maintain secrecy